<?php
$layout_opt = mnmd_bone_get_layout_opt();
?>

<?php get_header(); ?>

<main id="main" class="layoutBody">
	<div class="pageHeading pageHeading--fw">
		<div class="container">
			<div class="pageHeading-prefix metaFont"><?php esc_html_e('Category', 'bone'); ?></div>
			<h3 class="pageHeading-title titleFont"><?php single_cat_title( '', true ); ?></h3>
			<?php
			if ( category_description() ) {
				echo '<p class="categoryDescription">' . category_description() . '</p>';
			}
			?>
		</div>
	</div>

	<?php if ( $layout_opt['sidebar-position'] === 'none' ) { ?>
	<div class="contentBlockWrapper">
		<div class="container">
			<div class="layoutContent<?php echo esc_attr($layout_opt['main-class']); ?> clearfix">
				<?php if ( have_posts() ): ?>
				<div id="mdContent" class="<?php echo esc_attr($layout_opt['content-class']); ?> clearfix">
					<?php
					while ( have_posts() ) : the_post();
						mnmd_bone_get_template( $layout_opt['content-layout'] );
					endwhile;
					?>
				</div>
				<?php mnmd_bone_get_pagination( $layout_opt['pagination-type'] );?>

				<?php else:
					get_template_part('templates/no-result' ); ?>
				<?php endif; ?>
			</div>
		</div>

	</div><!-- contentBlockWrapper -->
	<?php } else { ?>
	<div class="contentBlockWrapper">
		<div class="container">
			<div class="layoutContent d-lg-flex">
				<div class="layoutContent-main<?php echo esc_attr($layout_opt['main-class']); ?>">
					<?php if ( have_posts() ): ?>
					<div id="mdContent" class="<?php echo esc_attr($layout_opt['content-class']); ?> clearfix">
						<?php
						while ( have_posts() ) : the_post();
							mnmd_bone_get_template( $layout_opt['content-layout'] );
						endwhile;
						?>
					</div>
					<?php mnmd_bone_get_pagination( $layout_opt['pagination-type'] );?>

					<?php else:
						get_template_part('templates/no-result' ); ?>
					<?php endif; ?>
				</div>
			
				<aside class="layoutContent-sidebar sidebar<?php echo esc_attr($layout_opt['sidebar-class']); ?>">
					<?php get_sidebar(); ?>
				</aside>
			</div>
		</div>

	</div><!-- contentBlockWrapper -->
	<?php } ?>
	
</main>

<?php if (is_active_sidebar('adsidebar-2')) { ?>
	<div class="adSidebar adSidebar--2">
		<div class="container">
			<?php dynamic_sidebar('adsidebar-2'); ?>
		</div>
	</div>
<?php } ?>
	
<?php get_footer();