<?php
	$single_layout = mnmd_bone_get_single_layout();
	$backtop = mnmd_bone_get_option('back-top-switch', '1');
	$header_login = mnmd_bone_get_option('header_login_switch', 'yes');
	$social_sortable = mnmd_bone_get_option( 'social_media_sites' );
?>

		<footer id="footer" class="siteFooter">
			<?php if ( has_nav_menu( 'footer-menu' ) ) { ?>
			<div class="siteFooter-top">
				<div class="container">
					<nav class="siteFooter-menu navigation navigation--footer">
						<?php
						wp_nav_menu(array(
							'theme_location' => 'footer-menu',
							'container' => false,
							'depth' => 1,
							'fallback_cb' => false,
						));
						?>
					</nav>
				</div>
			</div>
			<?php } ?>

			<?php if(is_active_sidebar('footer-sidebar-1') || is_active_sidebar('footer-sidebar-2') || is_active_sidebar('footer-sidebar-3')) { ?>
			<div class="siteFooter-middle">
				<div class="container">
					<div class="siteFooter-middle-inner clearfix">
						<?php if(is_active_sidebar('footer-sidebar-1')) { ?>
						<div class="siteFooter-widgetArea siteFooter-widgetArea--1">
						<?php dynamic_sidebar('footer-sidebar-1'); ?>	
						</div>
						<?php } ?>

						<?php if(is_active_sidebar('footer-sidebar-2')) { ?>
						<div class="siteFooter-widgetArea siteFooter-widgetArea--2">
						<?php dynamic_sidebar('footer-sidebar-2'); ?>	
						</div>
						<?php } ?>

						<?php if(is_active_sidebar('footer-sidebar-3')) { ?>
						<div class="siteFooter-widgetArea siteFooter-widgetArea--3">
						<?php dynamic_sidebar('footer-sidebar-3'); ?>	
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<?php } ?>
			
			<div class="siteFooter-bottom">
				<div class="container">
					<div class="siteFooter-bottom-inner d-md-flex align-items-center justify-content-between">
						<div class="siteFooter-copyright metaFont pe-md-3">
							<?php echo mnmd_bone_get_option('footer_text','<a href="http://minimaldog.net">minimaldog</a>'); ?>
						</div>
						<div class="siteFooter-backTop ps-md-3">
							<!-- Back top button -->
							<div class="backTopBtn metaFont has-icon-last js-scrolltop-btn"><span><?php esc_html_e('Back to top', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'arrow-up' ) ); ?></div>
						</div>
					</div>
				</div>
			</div>
		</footer>
	</div>
	<!-- siteWrap -->
	
	<!-- Offcanvas menu -->
	<div id="md_offCanvasMenu" class="md_offCanvasMenu md_offCanvas md_offCanvas--left">
		<div class="offCanvasClose metaFont js-offCanvasClose"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close' ) ); ?><span><?php esc_html_e('Close', 'bone') ?></span></div>

		<?php
		if ( !empty( $social_sortable ) ) {
		?>
			<div class="md_offCanvasMenu-social">
				<?php get_template_part('templates/site-social-inline'); ?>
			</div>
		<?php
		}
		?>

		<?php
		if ( has_nav_menu( 'main-menu' ) ) {
		?>
		<nav class="navigation navigation--offCanvas md_offCanvasMenu-navigation">
			<?php
			wp_nav_menu( array(
				'container' => false,
				'theme_location' => 'main-menu',
				'fallback_cb' => false,
				'depth' => 3,
			) );
			?>
		</nav>
		<?php
		}
		?>

		<?php if ($header_login === 'yes') { ?>
		<div class="md_offCanvasMenu-userActions">
			<?php get_template_part('templates/user-actions'); ?>
		</div>
		<?php } ?>
	</div>
	
	<?php
	if ($header_login === 'yes') {
	?>
	<!-- Login form modal -->
	<div id="js-login-wrapper" class="loginFormWrapper modal fade" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog modal-sm">
			<div class="modal-close" data-dismiss="modal" aria-label="Close"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close' ) ); ?></div>
			<?php wp_login_form(); ?>
			<a href="<?php echo wp_registration_url( get_permalink() ); ?>" title="<?php esc_html__('Register', 'bone'); ?>" class="btn btn--pill login-register"><?php esc_html_e('Register', 'bone'); ?></a>
			<a href="<?php echo wp_lostpassword_url( get_permalink() ); ?>" title="<?php esc_html__('Lost Password', 'bone'); ?>" class="login-lostPwd metaFont"><?php esc_html_e('Forgot Password ?', 'bone'); ?></a>
		</div>
	</div>
	<?php } ?>

	<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>