<?php
$theme_slug = 'bone';
$option_name = 'mnmd_' .$theme_slug;
$prefix = $option_name . '_';

Kirki::add_config( $option_name, array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

Kirki::add_panel( $prefix . 'panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Bone Settings', 'bone' ),
) );

/**
 * CSS Selectors Variables.
 */

$primary_color_selectors = '
    .primaryColor,
	.primaryColor:hover,
	.primaryColor:focus,
	.primaryColor:active,
	.authorName,
	.authorName a,
	.articleMeta-author a,
	.siteLogo-name,
	.articleTags-list > a:hover,
	.articleVia-list > a:hover,
	.articleSource-list > a:hover,
	.comment-author:hover,
	.post--card--bg.noThumb .postInfo .postMeta--author-author a,
	.loginFormWrapper .modal-close i,
	.postTitle .postFormatBadge,
	.widget_pages ul.children > li:before,
	.widget_categories ul.children > li:before,
	.widget_nav_menu .submenu-toggle,
	.tagcloud a:hover,
	.tagcloud a:focus,
	.tagcloud a:active,
	.wp-block-tag-cloud a:hover,
	.wp-block-tag-cloud a:focus,
	.wp-block-tag-cloud a:active,
	.postTags-list > a:hover,
	.postVia-list > a:hover,
	.postSource-list > a:hover,
	.widget_recent_comments .comment-author-link,
	.widget_recent_comments .comment-author-link a,
	.tabs-nav li.active a,
	.widget_pages li > a:before,
	.wpp-list:not(.wpp-list-with-thumbnails) > li:hover:before,
	.postFormatBadge,
	.comment-author,
	.postFormatQuote:before,
	.logged-in-as a:first-child';

$primary_color_bg_selectors = '
    .primaryBgColor,
	input[type="submit"],
	.postCategory,
	.progressContainer-bar,
	.reviewMeter-item-score,
	.reviewBox-summary-totalScore-wrap,
	.postTitle .featuredBadge,
	.btn.btn--solid,
	.btn.btn--solid:active,
	.btn.btn--solid:focus,
	.btn.btn--solid:hover,
	.btn.btn--solid:visited,
	.postFormatLink .o-backgroundImg,
	.featuredBlock--slider article.noThumb,
	.post--review-meter-bar,
	.post--review-score,
	.commentCountBox,
	.byCategoryListing-title i,
	.categoryTile .o-backgroundImg,
	.mdPostsListWidget .list-index,
	.widget_archive li:hover:after,
	.widget_calendar caption,
	.block-title span:after,
	.widget_mc4wp_form_widget input[type="submit"],
	.wpp-list-with-thumbnails > li:hover > a:first-child:after,
	.md-pagination .page-numbers.current,
	.offCanvasClose,
	.siteFooter-top-wrap';

$primary_color_border_selectors = '
	.st-btn-primary,
	a.st-btn-primary,
	.st-btn-primary:hover,
	.st-btn-primary:focus,
	.st-btn-primary:active,
	a.st-btn-primary:hover,
	a.st-btn-primary:focus,
	a.st-btn-primary:active,
	.st-btn-secondary,
	a.st-btn-secondary,
	.st-btn-secondary:hover,
	.st-btn-secondary:focus,
	.st-btn-secondary:active,
	.st-btn-secondary:disabled,
	.st-btn-secondary.disabled,
	a.btn.st-btn-secondary.disabled,
	.category-item-c:hover .category-item-inner,
	.mnmd-post-block-indexed .post-item .post-index.post-index-circle span,
	.comment-form .form-submit input.submit,
	.comment-form .form-submit input.submit:hover,
    .comment-form .form-submit input.submit:focus,
    .comment-form .form-submit input.submit:active,
    .fotorama__thumb-border,
    .tagcloud a:hover,
    .tagcloud a:focus,
    .tagcloud a:active,
    .wp-block-tag-cloud a:hover,
    .wp-block-tag-cloud a:focus,
    .wp-block-tag-cloud a:active,
    .postTags-list > a:hover,
    .postVia-list > a:hover,
    .postSource-list > a:hover,
    .tabs-nav li.active a:after,
    .navigation--standard > ul > li > a:before,
    .articleTags-list > a:hover,
    input[type="submit"],
    input[type="submit"]:hover';

$body_typography_selectors = '
    body';

$post_body_typography_selectors = '
    .bodyCopy';

$navigation_typography_selectors = '
    .navigation,
    .font-navigation';

$heading_typography_selectors = '
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    .h1,
    .h2,
    .h3,
    .h4,
    .h5,
    .h6,
    .titleFont,
	.postTitle,
	.widget_recent_comments .comment-author-link,
	.widget_recent_comments li > a,
	.widget_recent_entries a,
	.widget_rss a.rsswidget,
	.widget_rss .rss-date,
	.wpp-post-title';

$meta_typography_selectors = '
    label,
	input[type=submit],
	.metaText,
	.metaFont,
	.metaBtn,
	.postMeta,
	.postCategory,
	.blockHeading,
	.comment-reply-title,
	.wp-caption,
	.gallery-caption,
	.widget-title,
	.btn,
	.navigation,
	.logged-in-as,
	.widget_calendar table,
	.wp-block-calendar table,
	.tagcloud a,
	.widget_nav_menu .menu,
	.widget_categories li,
	.widget_meta li > a,
	.widget_pages li,
	.widget_archive a,
	.comment-reply-title small,
	.wpp-meta,
	.wpp-list-with-thumbnails > li > a:first-child:after,
	.wpp-list:not(.wpp-list-with-thumbnails) > li:before';

/**
 * General Section.
 */
Kirki::add_section( $prefix . 'general_section', array(
    'title'          => esc_html__( 'General', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'color',
	'settings'    => $prefix . 'primary_color',
	'label'       => esc_html__( 'Primary Color', 'bone' ),
	'description' => esc_html__( 'Make sure white text is legible on elements that have this as background color.', 'bone' ),
	'section'     => $prefix . 'general_section',
    'default'     => '#38524f',
    'output' => array(
        array(
            'element'  => $primary_color_selectors,
            'property' => 'color',
        ),
        array(
            'element'  => $primary_color_bg_selectors,
            'property' => 'background-color',
        ),
        array(
            'element'  => $primary_color_border_selectors,
            'property' => 'border-color',
        ),
        array(
            'element'  => '.post-card-background.has-post-thumbnail.sticky .post-title a',
            'property' => 'background',
            'value_pattern' => 'linear-gradient(180deg, rgba(255,255,255,0) 65%, $ 65%);',
        ),
        array(
            'element'  => '.reviewMeter-item-score:after,.commentCountBox:after',
            'property' => 'border-top-color',
        ),
        array(
            'element'  => '.postStream-item .postItem.sticky:after',
            'property' => 'border-left-color',
        ),
        array(
            'element'  => '.postStream-item .postItem.sticky:after',
            'property' => 'border-right-color',
        ),
    ),
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'sticky_sidebar',
	'label'   		=> esc_html__( 'Sticky sidebar', 'bone' ),
	'section' 		=> $prefix . 'general_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

/**
 * Typography Section.
 */
Kirki::add_section( $prefix . 'typography_section', array(
    'title'          => esc_html__( 'Typography', 'bone' ),
    'description'    => esc_html__( 'It is recommended to use maximum 3 different Google font families for better page load speed.', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'body_typography',
	'label'       => esc_html__( 'Body', 'bone' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
			'300',
            '300italic',
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $body_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'heading_typography',
	'label'       => esc_html__( 'Heading', 'bone' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Manrope',
		'variant'        => '700',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $heading_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'meta_typography',
	'label'       => esc_html__( 'Meta', 'bone' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $meta_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'post_body_typography',
	'label'       => esc_html__( 'Post body text', 'bone' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
			'300',
            '300italic',
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.7',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $post_body_typography_selectors,
		],
		[
			'element' => '.has-small-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * .8)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-large-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.25)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-huge-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.953)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.125)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'property'      => 'line-height',
			'value_pattern' => 'calc($ * .9375)',
			'choice'        => 'line-height',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'post_body_typography_mobile',
	'label'       => esc_html__( 'Post body text on small screen devices', 'bone' ),
	'section'     => $prefix . 'typography_section',
	'default'     => [
		'font-size'  => '16px',
		'line-height'  => '1.6',
	],
	'choices'     => [
		'labels' => [
			'font-size'  => esc_html__( 'Font Size', 'bone' ),
			'line-height'  => esc_html__( 'Line Height', 'bone' ),
		],
	],
	'output'      => [
		[
			'element' => $post_body_typography_selectors,
			'media_query' => '@media (max-width: 575.98px)',
		],
		[
			'element' => '.has-small-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * .8)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-large-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.25)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-huge-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.953)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.125)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'line-height',
			'value_pattern' => 'calc($ * .9375)',
			'choice'        => 'line-height',
		],
	],
] );

/**
 * Header Section.
 */
Kirki::add_section( $prefix . 'header_section', array(
    'title'          => esc_html__( 'Header', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'header_layout',
	'label'       => esc_html__( 'Header Layout', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => 'standard-center',
	'choices'     => [
		'standard'   => esc_html__( 'Default', 'bone' ),
		'standard-center' => esc_html__( 'Center', 'bone' ),
        'compact'  => esc_html__( 'Compact', 'bone' ),
        'minimal'  => esc_html__( 'Minimal', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'sticky_header',
	'label'   		=> esc_html__( 'Sticky header', 'bone' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'header_login_switch',
	'label'   		=> esc_html__( 'Show login button', 'bone' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
    'type'          => 'link',
    'settings'      => $prefix . 'header_login_url',
    'label'         => esc_html__( "Login button's URL", 'bone' ),
    'description'   => esc_html__( 'Link to your login page. Leave empty if you want to use the default login popup', 'bone' ),
    'section'       => $prefix . 'header_section',
    'default'       => '',
    'active_callback' => [
        [
            'setting'    => $prefix . 'header_login_switch',
            'operator' => '=',
            'value'    => 'yes',
        ],
    ],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'header_button_switch',
	'label'   		=> esc_html__( 'Show custom button', 'bone' ),
	'description' => esc_html__( 'Show a custom button in site header', 'bone' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
	'active_callback' => [
        [

	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard',
	        ],
	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard-center',
	        ],
	    ],
    ],
] );

Kirki::add_field( $option_name, [
    'type'          => 'link',
    'settings'      => $prefix . 'header_button_url',
    'label'         => esc_html__( "Custom button's URL", 'bone' ),
    'section'       => $prefix . 'header_section',
    'default'       => '',
    'active_callback' => [
        [
            'setting'    => $prefix . 'header_button_switch',
            'operator' => '=',
            'value'    => 'yes',
        ],
        [

	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard',
	        ],
	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard-center',
	        ],
	    ],
    ],
] );

Kirki::add_field( $option_name, [
    'type'          => 'text',
    'settings'      => $prefix . 'header_button_text',
    'label'         => esc_html__( "Custom button's text", 'bone' ),
    'section'       => $prefix . 'header_section',
    'default'       => '',
    'active_callback' => [
        [
            'setting'    => $prefix . 'header_button_switch',
            'operator' => '=',
            'value'    => 'yes',
        ],
        [

	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard',
	        ],
	        [
	            'setting'    => $prefix . 'header_layout',
	            'operator' => '=',
	            'value'    => 'standard-center',
	        ],
	    ],
    ],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'header_logo',
	'label'       => esc_html__( 'Header logo', 'bone' ),
	'description' => esc_html__( "Logo images' dimensions should double the dimensions specified below for displaying on hi-DPI devices.", 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'header_logo_small',
	'label'       => esc_html__( 'Header logo small version', 'bone' ),
	'description' => esc_html__( 'If there\'s no small version logo assigned, default logo will be used instead.', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_logo_width',
	'label'       => esc_html__( 'Header logo\'s width (in px)', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => 300,
	'choices'     => [
		'min'  => 0,
		'max'  => 680,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.siteHeader .siteLogo--image',
			'property' => 'max-width',
			'units' => 'px',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_small_logo_width',
	'label'       => esc_html__( 'Header small logo\'s width (in px)', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => 100,
	'choices'     => [
		'min'  => 0,
		'max'  => 300,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.siteHeader .siteLogo--image.siteLogo--small',
			'property' => 'max-width',
			'units' => 'px',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'header_logo_padding',
	'label'       => esc_html__( 'Header logo\'s padding', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.siteHeader .siteLogo--image img',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'header_small_logo_padding',
	'label'       => esc_html__( 'Header small logo\'s padding', 'bone' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.siteHeader .siteLogo--image.siteLogo--small img',
		],
	],
] );

/**
 * Footer Section.
 */
Kirki::add_section( $prefix . 'footer_section', array(
    'title'          => esc_html__( 'Footer', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'     => 'textarea',
	'settings'    => $prefix . 'footer_text',
	'label'    => esc_html__( 'Footer text', 'bone' ),
	'section'     => $prefix . 'footer_section',
	'default'	=> '<h3>BONE</h3><p>Made by &copy; <a href="https://themeforest.net/user/minimaldog/portfolio" target="_blank" rel="nofollow">minimaldog</a></p>',
	'sanitize_callback' => 'wp_kses_post',
] );

/**
 * Frontpage Section.
 */
Kirki::add_section( $prefix . 'frontpage_section', array(
    'title'          => esc_html__( 'Frontpage', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

/* Filler for Frontpage Section. */
Kirki::add_field( $option_name, [
	'type'        => 'generic',
	'settings'    => $prefix . 'frontpage_section_filler',
	'section'        => $prefix . 'frontpage_section',
	'default'     => '',
	'choices'     => [
		'element'  => 'input',
		'type'     => 'password',
		'style'    => 'display: none;',
	],
] );

/**
 * Featured Posts Section.
 */
Kirki::add_section( $prefix . 'featured_posts_section', array(
    'title'          => esc_html__( 'Featured Posts Section', 'bone' ),
    'section'        => $prefix . 'frontpage_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'featured_posts_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'featured_posts_section',
	'choices'     => [
		'slider' => esc_html__( 'Slider', 'bone' ),
		'carousel' => esc_html__( 'Carousel', 'bone' ),
		'tiles' => esc_html__( 'Tiles', 'bone' ),
		'alt' => esc_html__( 'Tiles Alternative', 'bone' ),
	],
	'default'     => 'slider',
] );

/* Slider Options Section. */
Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'featured_posts_autoplay_slider_toggle',
	'label'       	=> esc_html__( "Autoplay slider", 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
	'active_callback' => [
		[
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'slider',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'number',
	'settings'    	=> $prefix . 'featured_posts_autoplay_slider_timeout',
	'label'       	=> esc_html__( 'Autoplay Timer (in ms)', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 5000,
	'choices'  => [
		'min'  => 1,
		'step' => 1,
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'featured_posts_layout',
			'operator' => '==',
			'value'    => 'slider',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'featured_posts_background_toggle',
	'label'       	=> esc_html__( "Featured block's background", 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
	'active_callback' => [
		[
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'carousel',
			],
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'alt',
			],
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'tiles',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'featured_posts_background',
	'label'       => esc_html__( 'Featured Block Background', 'bone' ),
	'section'     => $prefix . 'featured_posts_section',
	'default'     => [
		'background-color'      => '#f5f5f5',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.featuredBlock-background',
		],
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'featured_posts_background_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'carousel',
			],
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'alt',
			],
			[
				'setting'    => $prefix . 'featured_posts_layout',
				'operator' => '==',
				'value'    => 'tiles',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'featured_posts_source',
	'label'       	=> esc_html__( 'Post source', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 'latest',
	'choices'     	=> [
		'latest' 				=> esc_html__( 'Latest', 'bone' ),
		'by-ids' 				=> esc_html__( 'By IDs', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'text',
	'settings'    	=> $prefix . 'featured_posts_include',
	'label'       	=> esc_html__( 'Select posts by IDs', 'bone' ),
	'description'   => esc_html__( 'IDs of posts, separated by commas', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> '',
	'active_callback' => [
		[
			'setting'    => $prefix . 'featured_posts_source',
			'operator' => '==',
			'value'    => 'by-ids',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'text',
	'settings'    	=> $prefix . 'featured_posts_exclude',
	'label'       	=> esc_html__( 'Excluded posts', 'bone' ),
	'description'   => esc_html__( 'IDs of posts, separated by commas', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> '',
	'active_callback' => [
		[
			'setting'    => $prefix . 'featured_posts_source',
			'operator' => '!=',
			'value'    => 'by-ids',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'number',
	'settings'    	=> $prefix . 'featured_posts_quantity',
	'label'       	=> esc_html__( 'Number of posts', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 5,
	'choices'  => [
		'min'  => 1,
		'step' => 1,
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'featured_posts_layout',
			'operator' => '!=',
			'value'    => 'tiles',
		],
		[
			'setting'    => $prefix . 'featured_posts_layout',
			'operator' => '!=',
			'value'    => 'alt',
		],
		[
			'setting'    => $prefix . 'featured_posts_source',
			'operator' => '!=',
			'value'    => 'by-ids',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'number',
	'settings'    	=> $prefix . 'featured_posts_offset',
	'label'       	=> esc_html__( 'Offset', 'bone' ),
	'section'     	=> $prefix . 'featured_posts_section',
	'default'     	=> 0,
	'choices'  => [
		'min'  => 0,
		'step' => 1,
	],
] );

/**
 * Latest Posts Section.
 */
Kirki::add_section( $prefix . 'latest_posts_section', array(
    'title'          => esc_html__( 'Latest Posts Section', 'bone' ),
    'section'        => $prefix . 'frontpage_section',
) );

Kirki::add_field( $option_name, [
    'type'          => 'text',
    'settings'      => $prefix . 'latest_posts_heading',
    'label'         => esc_html__( 'Section Heading', 'bone' ),
    'section'       => $prefix . 'latest_posts_section',
    'default'       => esc_html__( 'Latest Posts', 'bone' ),
    'sanitize_callback' => 'wp_kses_post',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'latest_posts_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'latest_posts_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'latest_posts_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'latest_posts_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'latest_posts_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'latest_posts_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'latest_posts_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'latest_posts_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'latest_posts_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'latest_posts_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'latest_posts_pagination',
	'label'       => esc_html__( 'Pagination', 'bone' ),
	'section'     => $prefix . 'latest_posts_section',
	'choices'     => [
		'1' => esc_html__( 'Default', 'bone' ),
		'2' => esc_html__( 'Next and Previous', 'bone' ),
		'3' => esc_html__( 'Load more', 'bone' ),
		'4' => esc_html__( 'Inifinity scroll', 'bone' ),
	],
	'default'     => '1',
] );

/**
 * More Reading Section.
 */
Kirki::add_section( $prefix . 'more_reading_section', array(
    'title'          => esc_html__( 'More Reading Section', 'bone' ),
    'section'        => $prefix . 'frontpage_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'more_reading_toggle',
	'label'       => esc_html__( 'Display More reading section', 'bone' ),
	'section'     => $prefix . 'more_reading_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
] );

$categories = Kirki_Helper::get_terms( 'category' );
Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'more_reading_categories',
	'label'       => esc_html__( 'Categories select', 'bone' ),
	'section'     => $prefix . 'more_reading_section',
	'choices'     => $categories,
	'multiple'	  => 4,
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'more_reading_background_toggle',
	'label'       	=> esc_html__( "Enable section's background", 'bone' ),
	'section'     	=> $prefix . 'more_reading_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'more_reading_background',
	'label'       => esc_html__( "Section's Background", 'bone' ),
	'section'     => $prefix . 'more_reading_section',
	'default'     => [
		'background-color'      => '#f5f5f5',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.byCategoryListing-background',
		],
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'more_reading_background_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
	],
] );

/**
 * Archives Section.
 */
Kirki::add_section( $prefix . 'archive_section', array(
    'title'          => esc_html__( 'Archives', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

/* Filler for Archives Section. */
Kirki::add_field( $option_name, [
	'type'        => 'generic',
	'settings'    => $prefix . 'archive_section_filler',
	'section'        => $prefix . 'archive_section',
	'default'     => '',
	'choices'     => [
		'element'  => 'input',
		'type'     => 'password',
		'style'    => 'display: none;',
	],
] );

/**
 * Author Archive Section.
 */
Kirki::add_section( $prefix . 'author_archive_section', array(
    'title'          => esc_html__( 'Author Archive', 'bone' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'author_archive_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'author_archive_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'author_archive_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'author_archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'author_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'author_archive_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'author_archive_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'author_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'author_archive_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'author_archive_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

/**
 * Category Archive Section.
 */
Kirki::add_section( $prefix . 'category_archive_section', array(
    'title'          => esc_html__( 'Category Archive', 'bone' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_archive_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'category_archive_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_archive_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'category_archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'category_archive_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'category_archive_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_archive_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'category_archive_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

/**
 * Search Archive Section.
 */
Kirki::add_section( $prefix . 'search_archive_section', array(
    'title'          => esc_html__( 'Search Archive', 'bone' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_archive_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'search_archive_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_archive_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'search_archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'search_archive_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'search_archive_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_archive_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'search_archive_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

/**
 * Tag Archive Section.
 */
Kirki::add_section( $prefix . 'tag_archive_section', array(
    'title'          => esc_html__( 'Tag Archive', 'bone' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_archive_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'tag_archive_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_archive_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'tag_archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'tag_archive_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'tag_archive_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_archive_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'tag_archive_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

/**
 * Other Archive Section.
 */
Kirki::add_section( $prefix . 'other_archive_section', array(
    'title'          => esc_html__( 'Other Archive', 'bone' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'other_archive_layout',
	'label'       => esc_html__( 'Layout', 'bone' ),
	'section'     => $prefix . 'other_archive_section',
	'choices'     => [
		'list' => esc_html__( 'List Small', 'bone' ),
		'split' => esc_html__( 'List Large', 'bone' ),
		'masonry' => esc_html__( 'Masonry', 'bone' ),
		'alt--1' => esc_html__( 'List Alternative 1', 'bone' ),
		'alt--2' => esc_html__( 'List Alternative 2', 'bone' ),
		'alt--3' => esc_html__( 'List Alternative 3', 'bone' ),
	],
	'default'     => 'list',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'other_archive_big_post_first',
	'label'       => esc_html__( 'Display big post first', 'bone' ),
	'section'     => $prefix . 'other_archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' => esc_html__( 'No', 'bone' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'other_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'other_archive_big_post_cycle',
	'label'       => esc_html__( 'Display big post every x posts', 'bone' ),
	'section'     => $prefix . 'other_archive_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'other_archive_layout',
			'operator' => 'contains',
			'value'    => [
				'alt--1',
				'alt--2',
				'alt--3',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'other_archive_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'other_archive_section',
	'choices'     => [
		'right' => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
	'default'     => 'right',
] );

/**
 * Single Posts and Pages Section.
 */
Kirki::add_section( $prefix . 'single_section', array(
    'title'          => esc_html__( 'Single Posts and Pages', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

/* Filler for Single Posts and Pages Section. */
Kirki::add_field( $option_name, [
	'type'        => 'generic',
	'settings'    => $prefix . 'single_section_filler',
	'section'        => $prefix . 'single_section',
	'default'     => '',
	'choices'     => [
		'element'  => 'input',
		'type'     => 'password',
		'style'    => 'display: none;',
	],
] );

/* Single Posts Section. */
Kirki::add_section( $prefix . 'single_post_section', array(
    'title'          => esc_html__( 'Single Posts', 'bone' ),
    'section'          => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_post_header_style',
	'label'       => esc_html__( 'Single post header style', 'bone' ),
	'section'     => $prefix . 'single_post_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Image top', 'bone' ),
		'title-top' => esc_html__( 'Title Top', 'bone' ),
        'cover'  	=> esc_html__( 'Cover', 'bone' ),
        'no-featured-image'  => esc_html__( 'No featured image', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_post_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'single_post_section',
	'default'     => 'default',
	'choices'     => [
		'right'   => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
] );


Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_billboard_parallax',
	'label'       	=> esc_html__( 'Parallax background cover', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_header_style',
			'operator' => '==',
			'value'    => 'cover',
		],
		[
			'setting'    => $prefix . 'single_post_sidebar_position',
			'operator' => '==',
			'value'    => 'none',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_postnav_switch',
	'label'       	=> esc_html__( 'Post navigation', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_authorbox_switch',
	'label'       	=> esc_html__( 'Author box', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

/* Single Related Posts Section. */

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_related_posts_switch',
	'label'       	=> esc_html__( 'Related posts', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'     		=> 'text',
	'settings'    	=> $prefix . 'single_related_posts_heading',
	'label'    		=> esc_html__( "Related posts section's heading", 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'		=> esc_html__( 'Related posts', 'bone' ),
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_related_posts_switch',
			'operator' => '=',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_related_posts_style',
	'label'       	=> esc_attr__( 'Related posts style', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'cards',
	'choices'     	=> [
		'list' 			=> esc_html__( 'List', 'bone' ),
		'cards' 		=> esc_html__( 'Cards', 'bone' ),
		'overlay-cards' => esc_html__( 'Overlay Cards', 'bone' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_related_posts_switch',
			'operator' => '=',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_related_posts_order',
	'label'       	=> esc_attr__( 'Related posts order', 'bone' ),
	'section'     	=> $prefix . 'single_post_section',
	'default'     	=> 'date',
	'choices'     	=> [
		'date' 			=> esc_html__( 'Latest', 'bone' ),
		'rand' 		=> esc_html__( 'Random', 'bone' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_related_posts_switch',
			'operator' => '=',
			'value'    => 'yes',
		],
	],
] );

/* Single Pages Section. */
Kirki::add_section( $prefix . 'single_page_section', array(
    'title'          => esc_html__( 'Single Pages', 'bone' ),
    'section'          => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_page_header_style',
	'label'       => esc_html__( 'Page header layout', 'bone' ),
	'section'     => $prefix . 'single_page_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Default', 'bone' ),
        'cover'  => esc_html__( 'Cover', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_page_sidebar_position',
	'label'       => esc_html__( 'Sidebar position', 'bone' ),
	'section'     => $prefix . 'single_page_section',
	'default'     => 'right',
	'choices'     => [
		'right'   => esc_html__( 'Right', 'bone' ),
		'left' => esc_html__( 'Left', 'bone' ),
		'none' => esc_html__( 'None', 'bone' ),
	],
] );



/* Single Featured block */
Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_featured_ribbon_switch',
	'label'       	=> esc_html__( 'Display featured ribbon', 'bone' ),
	'description'   => esc_html__( 'Row of posts display above single post', 'bone' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'bone' ),
		'no' 	=> esc_html__( 'No', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_featured_ribbon_post_source',
	'label'    		=> esc_html__( 'Featured posts source', 'bone' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'by-manual'   => esc_html__( 'Select manually', 'bone' ),
		'by-marked'   => esc_html__( 'Marked as featured', 'bone' ),
		'by-tag'   => esc_html__( 'By tags', 'bone' ),
		'by-category'   => esc_html__( 'By categories', 'bone' ),
		'latest'   => esc_html__( 'Latest', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_featured_ribbon_post_order',
	'label'       	=> esc_attr__( 'Post order', 'bone' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'date',
	'choices'     	=> [
		'date' 		=> esc_html__( 'Latest', 'bone' ),
		'rand' 		=> esc_html__( 'Random', 'bone' ),
	],
] );

/**
 * Social Media Section.
 */
Kirki::add_section( $prefix . 'social_media_sites_section', array(
    'title'          => esc_html__( 'Social Media', 'bone' ),
    'description'    => esc_html__( 'Enter full URLs of your social media sites below.', 'bone' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'behance_url',
	'label'    => 'Behance',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'dribbble_url',
	'label'    => 'Dribbble',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'facebook_url',
	'label'    => 'Facebook',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'google_url',
	'label'    => 'Google',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'instagram_url',
	'label'    => 'Instagram',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'line_url',
    'label'    => 'LINE',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'linkedin_url',
	'label'    => 'LinkedIn',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'medium_url',
    'label'    => 'Medium',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'pinterest_url',
	'label'    => 'Pinterest',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'reddit_url',
    'label'    => 'Reddit',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'snapchat_url',
	'label'    => 'Snapchat',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'soundcloud_url',
	'label'    => 'Soundcloud',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'spotify_url',
	'label'    => 'Spotify',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'telegram_url',
	'label'    => 'Telegram',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'tiktok_url',
    'label'    => 'TikTok',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'tumblr_url',
	'label'    => 'Tumblr',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'twitter_url',
	'label'    => 'Twitter',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'viber_url',
    'label'    => 'Viber',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'vk_url',
	'label'    => 'VK',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'wechat_url',
    'label'    => 'WeChat',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'whatsapp_url',
    'label'    => 'WhatsApp',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'xing_url',
    'label'    => 'XING',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'youtube_url',
	'label'    => 'Youtube',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'        => 'sortable',
	'settings'    => $prefix . 'social_media_sites',
	'label'       => esc_html__( 'Enable/disable your social media sites and their orders:', 'bone' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => [
        'facebook',
        'instagram',
        'twitter',
        'youtube',
	],
	'choices'     => [
		'behance' 		=> 'Behance',
        'dribbble' 		=> 'Dribbble',
        'facebook' 		=> 'Facebook',
        'google' 		=> 'Google+',
        'instagram' 	=> 'Instagram',
        'line'          => 'LINE',
        'linkedin' 		=> 'LinkedIn',
        'medium'        => 'Medium',
        'pinterest' 	=> 'Pinterest',
        'reddit'        => 'Reddit',
        'snapchat' 		=> 'Snapchat',
        'soundcloud' 	=> 'Soundcloud',
        'spotify' 		=> 'Spotify',
        'telegram' 		=> 'Telegram',
        'tiktok'        => 'TikTok',
        'tumblr' 		=> 'Tumblr',
        'twitter' 		=> 'Twitter',
        'viber'         => 'Viber',
        'vk' 			=> 'VK',
        'wechat'        => 'WeChat',
        'whatsapp'      => 'WhatsApp',
        'xing' 		    => 'XING',
        'youtube'       => 'Youtube',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'switch',
	'settings'    => $prefix . 'social_media_url_new_tab',
	'label'       => esc_html__( 'Open URLs in a new tab', 'bone' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => true,
	'choices'     => [
		'on'  => esc_html__( 'On', 'bone' ),
		'off' => esc_html__( 'Off', 'bone' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'switch',
	'settings'    => $prefix . 'social_media_url_nofollow',
	'label'       => esc_html__( 'Add nofollow attribute to URLs', 'bone' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => true,
	'choices'     => [
		'on'  => esc_html__( 'On', 'bone' ),
		'off' => esc_html__( 'Off', 'bone' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'social_media_url_new_tab',
			'operator' => '==',
			'value'    => true,
		]
	],
] );