<?php
/**
 * Display header branding
 */

if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $class ) ) || $class = '';
( isset( $logo_variant ) ) || $logo_variant = 'default';

$logo = array();

switch ( $logo_variant ) {
	case 'small':
	case 'compact':
		$class .= 'siteLogo--small';
		$logo = mnmd_bone_get_option( 'header_logo_small', array() );
		if ( empty( $logo ) || ( array_key_exists( 'url', $logo ) && ( $logo[ 'url' ] === '' ) ) ) {
			$logo = mnmd_bone_get_option( 'header_logo', array() );
		}
		break;

	case 'compact':
		$logo = mnmd_bone_get_option( 'offcanvas_logo', array() );
		break;

	case 'sticky':
		$logo = mnmd_bone_get_option( 'header_sticky_logo', array() );
		if ( empty( $logo ) || ( array_key_exists( 'url', $logo ) && ( $logo[ 'url' ] === '' ) ) ) {
			$logo = mnmd_bone_get_option( 'header_logo', array() );
		}
		break;

	case 'default':
	default:
		$logo = mnmd_bone_get_option( 'header_logo', array() );
		break;
}

if ( !empty( $logo ) ) {
	$logo_url = ( array_key_exists( 'url', $logo ) ) ? $logo[ 'url' ] : '';
	$logo_width = ( array_key_exists( 'width', $logo ) ) ? $logo[ 'width' ] : '';
	$logo_height = ( array_key_exists( 'height', $logo ) ) ? $logo[ 'height' ] : '';
} else {
	$logo_url = '';
	$logo_width = '';
	$logo_height = '';
}

if ( $logo_url ) {
	if ( is_front_page() ) {
	?>
		<h1 class="siteLogo siteLogo--image<?php if ( $class !== '' ) { echo ' ' . esc_attr( $class ); } ?>">
	<?php
	} else {
	?>
		<h2 class="siteLogo siteLogo--image<?php if ( $class !== '' ) { echo ' ' . esc_attr( $class ); } ?>">
	<?php
	}
	?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'name'); ?>" rel="home">
				<img src="<?php echo esc_url( $logo_url ); ?>" width="<?php echo esc_attr( $logo_width ); ?>" height="<?php echo esc_attr( $logo_height ); ?>" rel="logo" alt="<?php bloginfo( 'name' ); ?>">
			</a>
	<?php
	if ( is_front_page() ) {
	?>
		</h1>
	<?php
	} else {
	?>
		</h2>
	<?php
	}
} else {
	if ( is_front_page() ) { ?>
		<h1 class="siteLogo siteLogo--text<?php if ( $class !== '' ) { echo ' ' . esc_attr( $class ); } ?>"><a class="siteLogo-name" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a><div class="siteLogo-description d-none d-xl-block"><?php bloginfo('description'); ?></div></h1>
	<?php
	} else { ?>
		<h2 class="siteLogo siteLogo--text<?php if ( $class !== '' ) { echo ' ' . esc_attr( $class ); } ?>"><a class="siteLogo-name" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a><div class="siteLogo-description d-none d-xl-block"><?php bloginfo('description'); ?></div></h2>
	<?php
	}
}