<?php
	$section_class = 'byCategoryListing py-4 py-md-5';
	$background_toggle = mnmd_bone_get_option( 'more_reading_background_toggle' );
	if ( $background_toggle === 'yes' ) {
		$section_class .= ' byCategoryListing--has-background';
	}

	$categories = mnmd_bone_get_option('more_reading_categories', array());
	if ( is_array( $categories ) ) {
		$categories = array_slice($categories, 0, 4);
	} else {
		$categories = array();
	}
	if ( !empty($categories) ) { ?>
<div class="<?php echo esc_attr( $section_class ); ?>">
	<?php
	if ( $background_toggle === 'yes' ) {
	?>
		<div class="byCategoryListing-background d-none d-lg-block"></div>
	<?php
	}
	?>
	<div class="byCategoryListing-inner">
		<div class="container">
			<div class="row g-4">
			<?php foreach ($categories as $category) {
				$category_obj = get_category($category);
				$category_slug = $category_obj->slug; ?>
				<div class="col-md-6 col-xl">
					<div class="byCategoryListing-catSection category-<?php echo esc_attr($category_slug); ?>">
						<div class="byCategoryListing-catTitle primaryBgColor">
							<h4 class="metaFont"><?php echo get_cat_name($category); ?></h4>
							<a href="<?php echo get_category_link( $category ); ?>" class="o-overlayLink"></a>
						</div>
						<ul class="u-noStyleList">
						<?php 
						$args = array(
							'cat'				=> $category,
							'posts_per_page' 	=> 4,
							'status' 		 	=> 'publish',
							'ignore_sticky_posts'=> true,
						);

						$query_posts = new WP_Query( $args );
						while ($query_posts->have_posts()): $query_posts->the_post(); ?>
							<?php $article_link = get_permalink();?>
							<li>
								<h3 class="postTitle">
									<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
								</h3>
							</li>
							<?php endwhile; ?>
						</ul>
					</div>
				</div>
			<?php } ?>
				
			</div>
		</div>
	</div>
</div>
<?php }