<?php
	$feat_layout = mnmd_bone_get_option('feat_layout','slider');
	$header_class = ( $feat_layout == 'slider_cover' )? ' siteHeader--transparent': '';
	$sticky_header = mnmd_bone_get_option('sticky_header', 'yes');
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	}
	?>

	<!-- siteWrap -->
	<div class="siteWrap">
		<?php
		if(is_active_sidebar('header-sidebar')) { ?>
			<div class="siteHeader-widgetArea">
			<?php dynamic_sidebar('header-sidebar'); ?>
			</div>
		<?php } ?>

		<!-- siteHeader -->
		<header class="siteHeader siteHeader--compact<?php if ( is_home() ) echo esc_attr($header_class); ?>">
			<div class="siteHeader-nav js-searchOuter">
				<div class="container-fluid container-md">
					<div class="siteHeader-nav-inner d-flex align-items-center justify-content-between">
						<div class="siteHeader-component--left d-flex align-items-center">
							<div class="menuToggleBtn js-menu-toggle btn btn--circle d-lg-none"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'menu' ) ); ?></div>
							<div class="siteTitle siteTitle--default siteTitle--compact d-none d-lg-inline-block metaFont">
								<?php get_template_part('templates/branding-header'); ?>
							</div>

							<nav class="navigation navigation--main navigation--standard d-none d-lg-block">
								<?php
								if ( has_nav_menu( 'main-menu' ) ) {
									wp_nav_menu( array(
										'container' => false,
										'theme_location' => 'main-menu',
										'fallback_cb' => false,
										'depth' => 4,
									) );
								}
								?>
							</nav>
						</div>

						<div class="siteHeader-component--center d-lg-none">
							<div class="siteTitle siteTitle--small siteTitle--compact metaFont">
								<?php get_template_part('templates/branding-header', NULL, array('logo_variant' => 'small')); ?>
							</div>
						</div>

						<div class="siteHeader-component--right headerActions">
							<div class="compactSearch">
								<?php get_search_form(); ?>
								<div class="searchToggleBtn btn btn--circle js-searchToggle"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'search', 'class' => 'iconSearch' ) ); ?><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close', 'class' => 'iconClose' ) ); ?></div>
							</div><?php
							$header_login = mnmd_bone_get_option('header_login_switch', 'yes');
							if ($header_login === 'yes') {
							?><div class="hidden-xs hidden-sm">
								<?php get_template_part('templates/user-actions-compact'); ?>
							</div>
							<?php } ?>
						</div><!-- end headerActions -->
					</div>
				</div>
			</div><!-- end siteHeader-nav -->
			
			<?php if ( ( $sticky_header === 'yes' ) && has_nav_menu( 'main-menu' )) { ?>
			<div class="siteHeader--fixed js-fixedHeader js-searchOuter">
				<div class="container-fluid container-md">
					<div class="siteHeader-nav-inner d-flex align-items-center justify-content-between">
						<div class="siteHeader-component--left d-flex align-items-center">
							<div class="menuToggleBtn js-menu-toggle btn btn--circle d-lg-none"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'menu' ) ); ?></div>
							<div class="siteTitle siteTitle--default siteTitle--compact d-none d-lg-inline-block metaFont">
								<?php get_template_part('templates/branding-header'); ?>
							</div>

							<nav class="navigation navigation--main navigation--standard d-none d-lg-block">
								<?php
								if ( has_nav_menu( 'main-menu' ) ) {
									wp_nav_menu( array(
										'container' => false,
										'theme_location' => 'main-menu',
										'fallback_cb' => false,
										'depth' => 4,
									) );
								}
								?>
							</nav>
						</div>

						<div class="siteHeader-component--center d-lg-none">
							<div class="siteTitle siteTitle--small siteTitle--compact metaFont">
								<?php get_template_part('templates/branding-header', NULL, array('logo_variant' => 'small')); ?>
							</div>
						</div>

						<div class="siteHeader-component--right headerActions">
							<div class="compactSearch">
								<?php get_search_form(); ?>
								<div class="searchToggleBtn btn btn--circle js-searchToggle"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'search', 'class' => 'iconSearch' ) ); ?><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close', 'class' => 'iconClose' ) ); ?></div>
							</div><?php
							$header_login = mnmd_bone_get_option('header_login_switch', 'yes');
							if ($header_login === 'yes') {
							?><div class="hidden-xs hidden-sm">
								<?php get_template_part('templates/user-actions-compact'); ?>
							</div>
							<?php } ?>
						</div><!-- end headerActions -->
					</div>
				</div>
			</div><!-- end siteHeader fixed -->
			<?php } ?>

		</header>
		<!-- end siteHeader -->