<?php
	$sticky_header = mnmd_bone_get_option('sticky_header', 'yes');
	$header_login = mnmd_bone_get_option('header_login_switch', 'yes');
	$header_custom_btn = mnmd_bone_get_option('header_button_switch', 'yes');
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	}
	?>
	
	<!-- siteWrap -->
	<div class="siteWrap">
		<?php
		if(is_active_sidebar('header-sidebar')) { ?>
			<div class="siteHeader-widgetArea">
			<?php dynamic_sidebar('header-sidebar'); ?>
			</div>
		<?php } ?>

		<!-- siteHeader -->
		<header class="siteHeader siteHeader--standard siteHeader--standard--center">
			<div class="siteHeader-content d-none d-lg-block">
				<div class="container">
					<div class="d-flex align-items-center justify-content-between">
						<div class="siteHeader-content-component siteHeader-content-component--left">
							<?php get_template_part('templates/site-social-inline'); ?>
						</div>
						<div class="siteHeader-content-component siteHeader-content-component--center">
							<?php get_template_part('templates/branding-header'); ?>
						</div>
						<div class="siteHeader-content-component siteHeader-content-component--right">
							<?php
								if (($header_login === 'yes') || ($header_custom_btn === 'yes')) {
									get_template_part('templates/user-actions');
								}
							?>
						</div>
					</div>
				</div>
			</div>

			<div class="siteHeader-nav js-searchOuter<?php if ( !has_nav_menu( 'main-menu' ) ) { echo ' d-lg-none'; } ?>">
				<div class="container-fluid container-md">
					<div class="siteHeader-nav-inner d-flex align-items-center justify-content-between">
						<div class="siteHeader-nav-component--left d-lg-none">
							<div class="menuToggleBtn js-menu-toggle btn btn--circle d-lg-none"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'menu' ) ); ?></div>
						</div>

						<div class="siteHeader-nav-component--center u-alignCenter d-lg-none">
							<?php get_template_part('templates/branding-header', NULL, array('logo_variant' => 'small')); ?>
						</div>

						<nav class="navigation navigation--main navigation--standard d-none d-lg-block">
							<?php
							if ( has_nav_menu( 'main-menu' ) ) {
								wp_nav_menu( array(
									'container' => false,
									'theme_location' => 'main-menu',
									'fallback_cb' => false,
									'depth' => 4,
								) );
							}
							?>
						</nav>

						<div class="siteHeader-nav-component--right headerActions u-alignRight">
							<div class="compactSearch">
								<?php get_search_form(); ?>
								<div class="searchToggleBtn btn btn--circle js-searchToggle"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'search', 'class' => 'iconSearch' ) ); ?><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close', 'class' => 'iconClose' ) ); ?></div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<?php if ( ( $sticky_header === 'yes' ) && has_nav_menu( 'main-menu' )) { ?>
			<div class="siteHeader--fixed js-fixedHeader js-searchOuter">
				<div class="container-fluid container-md">
					<div class="siteHeader-nav-inner d-flex align-items-center justify-content-between">
						<nav class="navigation navigation--main navigation--standard d-none d-lg-block">
							<?php
							if ( has_nav_menu( 'main-menu' ) ) {
								wp_nav_menu( array(
									'container' => false,
									'theme_location' => 'main-menu',
									'fallback_cb' => false,
									'depth' => 4,
								) );
							}
							?>
						</nav>

						<div class="siteHeader-nav-component--right headerActions u-alignRight">
							<div class="compactSearch">
								<?php get_search_form(); ?>
								<div class="searchToggleBtn btn btn--circle js-searchToggle"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'search', 'class' => 'iconSearch' ) ); ?><?php echo mnmd_bone_svg_icon( array( 'icon' => 'close', 'class' => 'iconClose' ) ); ?></div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php } ?>
		</header>
		<!-- site-header -->