<?php
	$classes = array(
		'postItem',
		'post--card',
		'post--card--paper',
		'post--card--paper--micro',
		'card',
		'shadow-2',
	);			
	$category_array = get_the_category();
	if ( $category_array ) {
		$category_id = $category_array[0]->term_id;
		$category_name = esc_attr( $category_array[0]->name );
		$category_link = esc_url( get_category_link( $category_id ) );
	}
	$article_link =  get_permalink();
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_sm';
	}
?>
<article <?php post_class( $classes ); ?>>
	<div class="card-body">
		<?php if ( has_post_thumbnail() ) { ?>
		<div class="postFeaturedImg">
			<?php the_post_thumbnail($thumb_size); ?>
			<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
		</div>
		<?php } ?>

		<div class="postHeader">
			<?php mnmd_bone_post_category(); ?>
			<h3 class="postTitle entry-title h4">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</div>

		<div class="metaText metaDate"><abbr class="published updated" title="<?php the_time(get_option( 'date_format' )); ?>"><?php mnmd_bone_human_datetime(); ?></abbr></div>
	</div>
</article>

