<?php
	$classes = array(
		'postItem',
		'post--card',
		'post--card--paper',
		'card',
		'shadow-2'
	);
	$article_link =  get_permalink();
	$format = mnmd_bone_get_post_format();
	$format_allowed = in_array($format, array( 'image', 'quote', 'aside', 'link' ));
	$has_header = in_array($format, array( '', 'video', 'gallery', 'audio', 'image'));
	$has_summary = in_array($format, array( '', 'video', 'gallery', 'audio', 'image', 'aside', 'chat', 'status'));
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_sm';
	}
?>
<article <?php post_class( $classes ); ?>>
	<div class="card-body">
		<?php
		if ($format_allowed) {
				mnmd_bone_post_format($thumb_size);
		} elseif ( has_post_thumbnail() ) { ?>
		<div class="postFeaturedImg">
			<?php the_post_thumbnail($thumb_size); ?>
			<?php mnmd_bone_format_icon(); ?>
			<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
		</div>
		<?php } ?>

		<?php if ($has_header) { ?>
		<div class="postHeader">
			<?php mnmd_bone_post_categories(); ?>
			<h3 class="postTitle entry-title h4">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</div>
		<?php } ?>

		<?php mnmd_bone_post_meta_author('1', 24); ?>

		<?php if ($has_summary) { ?>
		<div class="postSummary entry-content">
			<p><?php mnmd_bone_excerpt(20); ?></p>
		</div>
		<?php } ?>
	</div>

	<div class="card-footer postFooter">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>
</article>