<?php
	$classes = array(
		'postItem',
		'post--cutout',
		'post--cutout--wide',
		'card',
		'shadow-2'
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_xl';
	}

	$category_array = get_the_category();
	if ( $category_array ) {
		$category_id = $category_array[0]->term_id;
		$category_name = esc_attr( $category_array[0]->name );
		$category_link = esc_url( get_category_link( $category_id ) );
	}
	$article_link =  get_permalink();
	if (!isset($title_limit)) {
		$title_limit = 110;
	}
?>
<article <?php post_class( $classes ); ?>>
	<div class="card-background o-backgroundImg" <?php if ( has_post_thumbnail() ) { mnmd_bone_inline_css_background_img($thumb_size, $hidpi = false); } ?>></div>
	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>

	<div class="card-body">
		<div class="postInfo">
			<?php mnmd_bone_post_category(); ?>

			<h3 class="postTitle entry-title">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?></a>
			</h3>

			<?php mnmd_bone_post_meta_author('1', 24); ?>

			<?php if (get_the_excerpt()) { ?>
			<div class="postSummary entry-content d-none d-md-block">
				<p><?php mnmd_bone_excerpt(26); ?></p>
			</div>
			<?php } ?>
		</div>
	</div>

	<div class="card-footer postFooter">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>
</article>