<?php
	$post_class = array(
		'postItem',
		'post--list',
		'card',
		'shadow-2'
	);

	$article_link =  get_permalink();
	$author_avatar = get_avatar( get_the_author_meta( 'ID' ), 50, '', esc_html__( 'avatar', 'bone' ) );
?>
<article <?php post_class( $post_class ); ?>>
	<div class="card-body d-md-flex">
		<?php
			if ( has_post_thumbnail() ) {
				mnmd_bone_featured_img('mnmd_bone_sm', 'mb-4 mb-md-0 ms-md-5 order-md-1', true);
			}
		?>

		<div class="postBody flex-grow-1">
			<?php mnmd_bone_post_categories(); ?>
			<h3 class="postTitle entry-title h3">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>

			<?php mnmd_bone_post_meta_author('1', 24); ?>

			<?php if (get_the_excerpt()) { ?>
			<div class="postSummary entry-content">
				<p><?php mnmd_bone_excerpt(30); ?></p>
			</div>
			<?php } ?>
		</div>
	</div>

	<div class="card-footer postFooter">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>
</article>