<?php
	$post_class = array(
		'postItem',
		'post--split',
		'card',
		'shadow-2'
	);
	$article_link =  get_permalink();
	$author_avatar = get_avatar( get_the_author_meta( 'ID' ), 50, '', esc_html__( 'avatar', 'bone' ) );
	$format = mnmd_bone_get_post_format();
	$format_allowed = in_array($format, array( 'video', 'gallery', 'image' ));
	$has_header = in_array($format, array( '', 'video', 'gallery', 'audio', 'image' ));
	$has_excerpt = in_array($format, array( '', 'video', 'gallery', 'audio', 'image', 'aside', 'status', 'chat', 'link' ));
?>
<article <?php post_class( $post_class ); ?>>
	<div class="card-body">
		<?php if ($has_header) { ?>
		<header class="postHeader mb-2 mb-md-4">
			<h3 class="postTitle entry-title h2">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</header>
		<?php } ?>
		
		<?php if ($format_allowed) { ?>
			<?php mnmd_bone_post_format('mnmd_bone_xl', 'mb-4'); ?>
		<?php } else { ?>
			<?php if(has_post_thumbnail()) { ?>
				<div class="postFeaturedImg mb-4">
					<?php the_post_thumbnail('mnmd_bone_xl'); ?>
					<?php mnmd_bone_format_icon(); ?>
					<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
				</div>
			<?php } ?>
		<?php } ?>

		<div class="postInfo d-md-flex">
			<div class="postInfo--meta flex-shrink-0 mb-3 mb-md-0 me-md-4">
				<?php mnmd_bone_post_categories(); ?>
				<?php mnmd_bone_post_meta_author('2', 36); ?>
			</div>
		
			<div class="postInfo--summary flex-grow-1">
				<div class="postSummary postSummary--large entry-content">
					<p><?php mnmd_bone_excerpt(40); ?></p>
				</div>
			</div>
		</div>
	</div>

	<div class="card-footer postFooter">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>

</article>