<?php
	$classes = array(
		'postItem',
		'post--tile',
		'post--tile--center',
		'card',
		'shadow-2'
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_lg';
	}
	$article_link =  get_permalink();
	if (!isset($title_limit)) {
		$title_limit = 110;
	}
?>
<article <?php post_class( $classes ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="card-background o-backgroundImg" <?php mnmd_bone_inline_css_background_img($thumb_size, $hidpi = false); ?>></div>
	<?php } ?>

	<div class="card-body d-flex align-items-center jusitify-content-center">
		<div class="postInfo<?php if ( has_post_thumbnail() ) { echo ' overlayInfo'; } ?>">
			<?php mnmd_bone_post_category(); ?>

			<h3 class="postTitle entry-title h2">
				<?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?>
				<?php mnmd_bone_review_score_badge(); ?>
			</h3>

			<?php mnmd_bone_post_meta_author('1', 24); ?>
		</div>
	</div>

	<div class="card-footer postFooter<?php if ( has_post_thumbnail() ) { echo ' overlayInfo'; } ?>">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>

	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
</article>