<?php
	$classes = array(
		'postItem',
		'post--tile',
		'post--tile--large',
		'card',
		'shadow-2'
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_xl';
	}
	$category_array = get_the_category();
	if ( $category_array ) {
		$category_id = $category_array[0]->term_id;
		$category_name = esc_attr( $category_array[0]->name );
		$category_link = esc_url( get_category_link( $category_id ) );
	}
	$article_link =  get_permalink();
	$format = get_post_format();
	$has_header = in_array($format, array( '', 'video', 'gallery', 'audio', 'image', 'status' ));
	if (!isset($title_limit)) {
		$title_limit = 120;
	}
?>
<article <?php post_class( $classes ); ?>>
	<div class="card-background o-backgroundImg" <?php if ( has_post_thumbnail() ) { mnmd_bone_inline_css_background_img($thumb_size, $hidpi = false); } ?>></div>

	<div class="card-body d-flex align-items-end">
		<div class="postInfo overlayInfo">
			<?php mnmd_bone_post_category(); ?>

			<h3 class="postTitle entry-title h2">
				<?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?>
			</h3>

			<?php mnmd_bone_post_meta_author('1', 24); ?>

			<div class="postSummary postSummary--large entry-content">
				<p><?php mnmd_bone_excerpt(30, true); ?></p>
			</div>
		</div>
	</div>

	<div class="card-footer postFooter overlayInfo">
		<div class="postFooter__inner d-flex flex-wrap justify-content-between">
			<div class="me-2">
				<a href="<?php comments_link(); ?>" class="metaFont metaLink has-icon-first"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'comment' ) );
					if ( get_comments_number() != '0' ) {
						printf( _nx( '<span class="hidden-xs">%1$s comment</span>', '<span class="hidden-xs">%1$s comments</span>', get_comments_number(), 'comments title', 'bone' ), number_format_i18n( get_comments_number() ) );
					} else {
						echo '<span class="hidden-xs"> '.esc_html__('Comment', 'bone').'</span>';
					} ?></a>
			</div>
			<div class="ms-2">
				<a href="<?php echo esc_url($article_link); ?>" class="readMoreLink metaLink metaFont has-icon-last"><span><?php esc_html_e('Read more', 'bone'); ?></span><?php echo mnmd_bone_svg_icon( array( 'icon' => 'chevron-right' ) ); ?></a>
			</div>
		</div>
	</div>
	
	<?php mnmd_bone_format_icon(); ?>
	
	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
</article>