<?php
	$section_heading = mnmd_bone_get_option( 'single_related_posts_heading', esc_html__( 'Related posts', 'bone' ) );
	$rel_layout = mnmd_bone_get_option('single_related_posts_style', 'cards');
	if ($rel_layout === 'list') {
		$post_quantity = 4;
	} else {
		$post_quantity = 3;
	}

	$orderby = mnmd_bone_get_option('single_related_posts_order', 'latest');
	$post_id = get_the_ID();

	$post_navigation = mnmd_bone_get_option('postnav-switch', '1');
	if ((is_single()) && ($post_navigation === '1')) {
		$next_post = get_next_post();
		$next_post_ID = (property_exists($next_post, 'ID')) ? $next_post->ID : 0;
		$prev_post = get_previous_post();
		$prev_post_ID = (property_exists($prev_post, 'ID')) ? $prev_post->ID : 0;
	} else {
		$next_post_ID = 0;
		$prev_post_ID = 0;
	}
 
	$related_args = array(
		'post_type'      => get_post_type( $post_id ),
		'posts_per_page' => $post_quantity,
		'post_status'    => 'publish',
		'post__not_in'   => array( $post_id, $next_post_ID, $prev_post_ID ),
		'orderby'        => $orderby,
		'tax_query'      => array(),
	);
 
	$post       = get_post( $post_id );
	$taxonomies = get_object_taxonomies( $post, 'names' );
 
	foreach( $taxonomies as $taxonomy ) {
		if (($taxonomy === 'tag') || ($taxonomy === 'category')) {
			$terms = get_the_terms( $post_id, $taxonomy );
			if ( empty( $terms ) ) continue;
			$term_list = wp_list_pluck( $terms, 'slug' );
			$related_args['tax_query'][] = array(
				'taxonomy' => $taxonomy,
				'field'    => 'slug',
				'terms'    => $term_list,
			);
		}
	}
 
	if( count( $related_args['tax_query'] ) > 1 ) {
		$related_args['tax_query']['relation'] = 'OR';
	}

	$rel_query = new WP_Query( $related_args );
	if ( $rel_query->have_posts() ) {
	?>
		<div class="relatedPosts relatedPosts--<?php echo esc_attr( $rel_layout ); ?>">
			<h5 class="blockHeading"><span><?php echo wp_kses_post( $section_heading ); ?></span></h5>
			<?php
			if ($rel_layout === 'list') {
			?>
				<div class="row g-4">
				<?php while ( $rel_query->have_posts() ) : $rel_query->the_post(); ?>
					<div class="col-xs-12 col-sm-6">
						<?php get_template_part( 'templates/post-list-paper-micro' ); ?>
					</div>
				<?php endwhile; ?>
				</div>
			<?php 
			} elseif ($rel_layout === 'cards') {
			?>
				<div class="row g-4">
				<?php while ( $rel_query->have_posts() ) : $rel_query->the_post(); ?>
					<div class="col-xs-12 col-md-4">
						<?php get_template_part( 'templates/post-card-paper-micro' ); ?>
					</div>
				<?php endwhile; ?>
				</div>
			<?php 
			} else {
			?>
				<div class="row g-4">
				<?php while ( $rel_query->have_posts() ) : $rel_query->the_post(); ?>
					<div class="col-xs-12 col-md-4">
						<?php get_template_part( 'templates/post-tile-micro' ); ?>
					</div>
				<?php endwhile; ?>
				</div>
			<?php
			}
			?>
		</div>
	<?php
	}
	wp_reset_postdata(); ?>