<?php
$post_classes = array(
	'postSingle',
	'postSingle--cover',
	'postSingle--cover--fw',
	'hentry',
);

get_header();

if (have_posts()) : the_post(); ?>
<main class="layoutBody<?php if (!has_post_thumbnail()) echo ' noThumb'; ?>">
	<div class="container">
		<div class="layoutContent">
			<article <?php mnmd_bone_post_class($post_classes); ?>>
				<?php
				mnmd_bone_single_schema_meta();
				
				mnmd_bone_single_cover();
				
				if ($post->post_content !== '') {
				?>

					<div class="postContent bodyCopy entry-content clearfix">
						<?php the_content(); ?>
					</div>

					<div class="contentConstraint">
						<?php mnmd_bone_post_pagination(); ?>

						<?php mnmd_bone_review_score(); ?>
					</div>

				<?php
				}
				?>

				<div class="contentConstraint">
					<?php mnmd_bone_single_footer(); ?>

					<?php if(is_active_sidebar('adsidebar-3')) { ?>
						<div class="adSidebar adSidebar--3">
						<?php dynamic_sidebar('adsidebar-3'); ?>
						</div>
					<?php } ?>
					
					<?php if (mnmd_bone_get_option('authorbox-switch', '1')) get_template_part('templates/author-box'); ?>
				</div>
			</article>

			<div class="contentConstraint">
				<?php if (mnmd_bone_get_option('postnav-switch', '1')) get_template_part('templates/post-navigation'); ?>
			</div>

			<?php if (mnmd_bone_get_option('related-post-switch', '1')) get_template_part('templates/related-posts'); ?>				

			<div class="contentConstraint">
				<?php
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			</div>
		</div><!-- end layoutContent -->
	</div><!-- end container -->
</main>
<?php endif; ?>

<?php if (is_active_sidebar('adsidebar-2')) { ?>
	<div class="adSidebar adSidebar--2">
		<div class="container">
			<?php dynamic_sidebar('adsidebar-2'); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer();