<?php
// Get options
$single_header_style = mnmd_bone_get_single_option( 'single_post_header_style', 'default' ) . '-fullwidth';

// Setting up variables
$post_classes = array(
	'postSingle',
	'postSingle--' . $single_header_style,
	'postSingle--fullwidth',
	'hentry',
);

get_header(); ?>

<?php if (have_posts()) : the_post(); ?>
<main class="layoutBody<?php if (!has_post_thumbnail()) echo ' noThumb'; ?>">
	<article <?php mnmd_bone_post_class($post_classes); ?>>
		<?php
		mnmd_bone_single_schema_meta();
		mnmd_bone_single_header( $single_header_style );
		?>
		<div class="container">
			<div class="layoutContent">
					<?php
					if ($post->post_content !== '') {
					?>
						<div class="postContent postContent--fullwidth bodyCopy entry-content clearfix">
							<?php the_content(); ?>
						</div>

						<div class="contentConstraint">
							<?php mnmd_bone_post_pagination(); ?>

							<?php mnmd_bone_review_score(); ?>
						</div>
					<?php
					}
					?>

					<div class="contentConstraint">
						<?php mnmd_bone_single_footer(); ?>

						<?php if(is_active_sidebar('adsidebar-3')) { ?>
							<div class="adSidebar adSidebar--3">
							<?php dynamic_sidebar('adsidebar-3'); ?>
							</div>
						<?php } ?>
						
						<?php if (mnmd_bone_get_option('single_post_authorbox_switch', 'yes') === 'yes') get_template_part('templates/author-box'); ?>
					</div>


				<div class="contentConstraint">
					<?php if (mnmd_bone_get_option('single_post_postnav_switch', 'yes') === 'yes') get_template_part('templates/post-navigation'); ?>
				</div>

				<?php if (mnmd_bone_get_option('single_post_related_posts_switch', 'yes') === 'yes') get_template_part('templates/related-posts'); ?>				

				<div class="contentConstraint">
					<?php
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
					?>
				</div>
			</div><!-- end layoutContent -->
		</div><!-- end container -->
	</article>
</main>
<?php endif; ?>

<?php if (is_active_sidebar('adsidebar-2')) { ?>
	<div class="adSidebar adSidebar--2">
		<div class="container">
			<?php dynamic_sidebar('adsidebar-2'); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer();