<?php
// Get passed variables
( isset( $sidebar_position ) ) || $sidebar_position = 'right';

// Get options
$sticky_sidebar = mnmd_bone_get_option( 'sticky_sidebar', 'yes' );
$single_header_style = mnmd_bone_get_single_option( 'single_post_header_style', 'default' );

// Setting up variables
$post_classes = array(
	'postSingle',
	'postSingle--' . $single_header_style,
	'hentry',
);
$main_classes = '';
$sidebar_classes = '';

if ( $sidebar_position === 'right' ) {
	$main_classes .= ' hasRightSidebar';
	$sidebar_classes .= ' sidebar--right mt-5 mt-lg-0 ms-lg-5 ps-xxl-4';
} else {
	$main_classes .= ' hasLeftSidebar order-xl-1';
	$sidebar_classes .= ' sidebar--left mt-5 mt-lg-0 me-lg-5 pe-xxl-4';
}

if ( $sticky_sidebar === 'yes' ) {
	$sidebar_classes .= ' js-sticky-sidebar';
}

get_header(); ?>

<?php if (have_posts()) : the_post(); ?>
<main class="layoutBody<?php if (!has_post_thumbnail()) echo ' noThumb'; ?>">
	<article <?php mnmd_bone_post_class($post_classes); ?>>
		<?php
		mnmd_bone_single_schema_meta();
		?>
		<div class="container">
			<div class="layoutContent d-xl-flex justify-content-between">
				<div class="layoutContent-main<?php echo esc_attr($main_classes); ?>">
					<?php
					mnmd_bone_single_header( $single_header_style );
					
					if ($post->post_content !== '') {
					?>
						<div class="postContent bodyCopy entry-content clearfix">
							<?php the_content(); ?>
						</div>

						<?php mnmd_bone_post_pagination(); ?>

						<?php mnmd_bone_review_score(); ?>

					<?php
					}
					?>

					<?php mnmd_bone_single_footer(); ?>

					<?php if(is_active_sidebar('adsidebar-3')) { ?>
						<div class="adSidebar adSidebar--3">
						<?php dynamic_sidebar('adsidebar-3'); ?>
						</div>
					<?php } ?>
					
					<?php if (mnmd_bone_get_option('single_post_authorbox_switch', 'yes') === 'yes') get_template_part('templates/author-box'); ?>

					<?php if (mnmd_bone_get_option('single_post_postnav_switch', 'yes') === 'yes') get_template_part('templates/post-navigation'); ?>
									
					<?php if (mnmd_bone_get_option('single_post_related_posts_switch', 'yes') === 'yes') get_template_part('templates/related-posts'); ?>				

					<?php
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
					?>
				</div><!-- end layoutContent-main -->
				
				<aside id="mdSidebar" class="layoutContent-sidebar sidebar<?php echo esc_attr($sidebar_classes); ?>">
					<?php get_sidebar(); ?>
				</aside>
			</div><!-- end layoutContent -->
		</div><!-- end container -->
	</article>
</main>
<?php endif; ?>

<?php if (is_active_sidebar('adsidebar-2')) { ?>
	<div class="adSidebar adSidebar--2">
		<div class="container">
			<?php dynamic_sidebar('adsidebar-2'); ?>
		</div>
	</div>
<?php } ?>

<?php get_footer();