<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $social_list ) ) || $social_list = NULL;
( isset( $style ) ) || $style = 'inline';

// Use passed social list if available, if not use social list from theme's setting panel.
if ( $social_list ) {
	$output = '';
	$output .= '<ul class="social-media-list social-media-list-inline">';
	foreach ( $social_list as $social_item ) {
		$output .= '<li class="social-media-list-item">';
			if ( $social_item['social_url']['url'] ) {
				$output .= '<a href="'. esc_url( $social_item['social_url']['url'] ) . '"';
				if ( $social_item['social_url']['is_external'] ) {
					if ( $social_item['social_url']['nofollow'] ) {
						$output .= ' target="_blank" rel="noopener nofollow"';
					} else {
						$output .= ' target="_blank" rel="noopener"';
					}
				}
				$output .= '>';
			}
			$output .= mnmd_bone_svg_icon( array( 'icon' => strtolower( $social_item['social_name'] ) ) );
			if ( $social_item['social_url']['url'] ) {
				$output .= '</a>';
			}
		$output .= '</li>';
	}
	$output .= '</ul>';
	echo mnmd_wp_kses_post( $output );
} else {
	$urls = array(
		'behance' => mnmd_bone_get_option( 'behance_url', '' ),
        'dribbble' => mnmd_bone_get_option( 'dribbble_url', '' ),
        'facebook' => mnmd_bone_get_option( 'facebook_url', '' ),
        'google' => mnmd_bone_get_option( 'google_url', '' ),
        'instagram' => mnmd_bone_get_option( 'instagram_url', '' ),
        'line' => mnmd_bone_get_option( 'line_url', '' ),
        'linkedin' => mnmd_bone_get_option( 'linkedin_url', '' ),
        'medium' => mnmd_bone_get_option( 'medium_url', '' ),
        'pinterest' => mnmd_bone_get_option( 'pinterest_url', '' ),
        'reddit' => mnmd_bone_get_option( 'reddit_url', '' ),
        'snapchat' => mnmd_bone_get_option( 'snapchat_url', '' ),
        'soundcloud' => mnmd_bone_get_option( 'soundcloud_url', '' ),
        'spotify' => mnmd_bone_get_option( 'spotify_url', '' ),
        'telegram' => mnmd_bone_get_option( 'telegram_url', '' ),
        'tiktok' => mnmd_bone_get_option( 'tiktok_url', '' ),
        'tumblr' => mnmd_bone_get_option( 'tumblr_url', '' ),
        'twitter' => mnmd_bone_get_option( 'twitter_url', '' ),
        'viber' => mnmd_bone_get_option( 'viber_url', '' ),
        'vk' => mnmd_bone_get_option( 'vk_url', '' ),
        'wechat' => mnmd_bone_get_option( 'wechat_url', '' ),
        'whatsapp' => mnmd_bone_get_option( 'whatsapp_url', '' ),
        'xing' => mnmd_bone_get_option( 'xing_url', '' ),
        'youtube' => mnmd_bone_get_option( 'youtube_url', '' ),
	);

	$default_order = array(
	    'behance',
        'dribbble',
        'facebook',
        'google',
        'instagram',
        'line',
        'linkedin',
        'medium',
        'pinterest',
        'reddit',
        'snapchat',
        'soundcloud',
        'spotify',
        'telegram',
        'tiktok',
        'tumblr',
        'twitter',
        'viber',
        'vk',
        'wechat',
        'whatsapp',
        'xing',
        'youtube',
	);

	$social_sortable = mnmd_bone_get_option( 'social_media_sites', $default_order );
	$is_external = mnmd_bone_get_option( 'social_media_url_new_tab', false );
	$nofollow = mnmd_bone_get_option( 'social_media_url_nofollow', false );

	$output = '';
	$class = 'socialList socialList--inline metaFont';

	$output .= '<ul class="' . esc_attr( $class ) . '">';
	foreach ( $social_sortable as $social_name ) {
		if ( $urls[$social_name] ) {
			$output .= '<li class="social-media-list-item">';
				$output .= '<a href="'. esc_url( $urls[$social_name] ) . '"';
				if ( $is_external ) {
					if ( $nofollow ) {
						$output .= ' target="_blank" rel="noopener nofollow"';
					} else {
						$output .= ' target="_blank" rel="noopener"';
					}
				}
				$output .= '>';
				$output .= mnmd_bone_svg_icon( array( 'icon' => $social_name , 'class' => 'mnmd-icon-' . $social_name ) );
				if ( $style === 'inline-large' ) {
					$output .= '<p class="social-media-list-item-name d-none d-lg-block">' . $social_name . '</p>';
				}
				$output .= '</a>';
			$output .= '</li>';
		}
	}
	$output .= '</ul>';
	echo mnmd_bone_wp_kses_post( $output );
}